Bug 472144 - (tvbrowser) Review Request: tvbrowser - Free EPG for over 500 stations.
Review Request: tvbrowser - Free EPG for over 500 stations.
Status: CLOSED DUPLICATE of bug 754246
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 469471 474983 474985 474999 475017 475018 475019 524784
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 18:20 EST by Sandro Mathys
Modified: 2011-12-04 07:19 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-07 11:03:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
License analysis (1.03 KB, text/plain)
2009-01-27 11:15 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Sandro Mathys 2008-11-18 18:20:05 EST
Spec URL: http://red.fedorapeople.org/SRPMS/tvbrowser.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/tvbrowser-2.7.1-0.3.fc10.i386.rpm
Description: TV-Browser is a free electronic program guide (EPG). It offers more than 500 stations.

This is my first package (with a little starting aid from che on #fedora-de) and I need a mentor.

When I build the rpm, I seem to have some small problems that I've not been able to solve:
- find: `debug': No such file or directory
- some in-the-jars operation has a problem with a file within a jar that has spaces in its filename:
+ /usr/lib/rpm/redhat/brp-java-repack-jars
cp: cannot stat `./bbc/rd/tvanytime/util/Copy': No such file or directory
cp: cannot stat `of': No such file or directory
cp: cannot stat `DVBLocatorToolbox': No such file or directory
- javadoc compilation fails in this version of tvbrowser. I commmented those parts out for now and hope upstream will solve this.

Nevertheless, I can install and run the application just fine.

I was not sure, if it's ok to include out-of-the-box plugins/whatever in the base package or if I need to create additional packages for those.

Comments and mentors welcome ;)
Comment 1 Thomas Moschny 2008-11-19 02:53:56 EST
- You need to provide a src rpm.
- Please specify a download url for Source0.
- Missing changelog.
- Missing %doc files (at least add COPYRIGHT.txt).
- Package should be noarch.

rpmlint output:
tvbrowser.i386: W: no-documentation
tvbrowser.i386: W: summary-ended-with-dot Free EPG for over 500 stations.
tvbrowser.i386: E: description-line-too-long TV-Browser is a free electronic program guide (EPG). It offers more than 500 stations.
tvbrowser.i386: E: no-changelogname-tag
tvbrowser.i386: E: no-binary
Comment 2 Thomas Moschny 2008-11-19 03:22:42 EST
Furthermore, you (accidentally) transferred classes from .jar files from the 'source' distribution into the final rpm, which is strictly not allowed.

The reason is, that this command is wrong:

  find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

It needs to be changed to

  find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

in order to work as expected.
Comment 3 Sandro Mathys 2008-12-11 20:12:51 EST
Spec URL: http://red.fedorapeople.org/SRPMS/tvbrowser.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/tvbrowser-2.7.1-0.4.fc10.src.rpm

Everything mentioned in the comments above fixed. Those precompiled jars from upstream's src distribution are now BuildRequires, and those not already available in Fedora are now ready for review (see the dependency tree of this request).

During javadoc generation there's a NullPointerException for no obvious reason. I was not yet able to track this down and will need some more time for this. But I wouldn't consider the javadoc a show-stopper since this is an application and no library or the like.

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.

Successfully created a mock-(re)build of this version of this pkg.
Comment 4 Mamoru TASAKA 2008-12-15 10:08:02 EST
(Removing NEEDSPONSOR)
Comment 5 Sandro Mathys 2008-12-15 23:25:01 EST
Spec URL: http://red.fedorapeople.org/SRPMS/tvbrowser.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/tvbrowser-2.7.1-1.fc10.src.rpm

New version including much of the experience I got when my jcalendar pkg was reviewed.
Comment 6 Sandro Mathys 2009-01-10 13:31:01 EST
Spec URL: http://red.fedorapeople.org/SRPMS/tvbrowser.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/tvbrowser-2.7.2-1.fc11.src.rpm

New version: 2.7.2
Comment 7 Mamoru TASAKA 2009-01-16 13:45:02 EST
Well, currenly I make this package blocked by FE-Legal

This package itself is under GPLv2+, however
- This package also depends (BRs) on skinlf and l2fprod-common

- skinlf (bug 469471, already imported into Fedora) 
  is under "ASL 2.0 and zlib and ASL 1.1"
- I checked l2fprod-common (bug 475017) and actually this is
  under "ASL 2.0 and ASL 1.1"
- And ASL 1.1 is not compatible with GPLv2+: see
  http://fedoraproject.org/wiki/Licensing

So:
- Would you ask l2fprod-common upstream to relicense all files
  under ASL 1.1 to ASL 2.0?
- And also would you ask skinlf upstream to do so?

By the way ASL 1.1 is this:
http://www.apache.org/licenses/LICENSE-1.1
Comment 8 Sandro Mathys 2009-01-26 12:29:11 EST
I dropped both projects a quick line outlining the issue and what we'd like from them. Both have the same head developer which makes it a bit easier. Unfortunately, both projects haven't seen a commit or release in many months or even some years...not sure if I'll get any answer at all and how much they're interested in changing licenses after such a long time.

While all websites of those projects and the head developer's website on all his projects are pretty much outdated, his blog is still current...so we know at least the head developer is still alive.
Comment 9 Mamoru TASAKA 2009-01-26 12:59:12 EST
Okay, thank you for update.
Comment 10 Sandro Mathys 2009-01-26 16:13:55 EST
Surprise, surprise! I got an answer in short time and the head developer (Fred) replied that he was under the impression that everything is already licensed under ASL 2.0 (for both packages). He said, that if I provide him a list with the files with a different license he'll happily change those to ASL 2.0.

So, the question now is: what's the easiest way to create a list of all files showing each file's license? Or can this only be done manually?
Comment 11 manuel wolfshant 2009-01-26 16:20:22 EST
licensecheck.pl does a pretty good job as a first iteration
Comment 12 Sandro Mathys 2009-01-26 18:46:49 EST
licensecheck.pl only recognizes four different types of 'licenses' in l2fprod-common and l2fprod-skinlf:
- Apache (v2.0)
- UNKNOWN
- GENERATED FILE
- *No copyright* GENERATED FILE

Is it safe to say anything not ASL 2.0 is ASL 1.1? Some should be zlib according to Mamoru, though.

I'm _really_ bad with licenses and need some help here.
Comment 13 Mamoru TASAKA 2009-01-26 21:59:58 EST
(In reply to comment #10)
> Surprise, surprise! I got an answer in short time and the head developer (Fred)
> replied that he was under the impression that everything is already licensed
> under ASL 2.0 (for both packages). He said, that if I provide him a list with
> the files with a different license he'll happily change those to ASL 2.0.

Thanks you for feedback. I will post on this bug the list of the files
which needs license change.
Comment 14 Mamoru TASAKA 2009-01-27 11:15:53 EST
Created attachment 330106 [details]
License analysis

License analysis for l2fprod-common and skinlf is attached.

Some files in l2fprod-common and almost all files in skinlf
are under ASL 1.1 (for skinlf, LICENSE text itself shows ASL 1.1).

For skinlf, src/examples/Clock.java has a quite questionable
license clause:
-----------------------------------------------------
ii) Licensee does not utilize the software in a manner
    which is disparaging to Sun.
-----------------------------------------------------
I guess this clause is NON-FREE. In Fedora skinlf this file
is currently removed.
Comment 15 Sandro Mathys 2009-02-12 04:08:41 EST
Fred says he updated the files in their CVS but is having problems getting the maven build to work. He'll maybe drop back to the old ant script. We're currently using ant in the skinlf pkg and neither of both in l2fprod-common anyway.
Comment 16 Tom "spot" Callaway 2009-03-12 11:34:58 EDT
Any update here?
Comment 17 Sandro Mathys 2009-03-13 03:56:37 EDT
No, currently not.
Comment 18 Sandro Mathys 2009-03-13 12:02:54 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/tvbrowser.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/tvbrowser-2.7.3-1.fc10.src.rpm

New version - no other changes were needed to get this working.
Comment 19 Sandro Mathys 2009-04-30 03:44:41 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/tvbrowser.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/tvbrowser-2.7.3-2.fc11.src.rpm

Changes in the l2fprod-common package made it necessary to adapt the path of one dependency.

---

As an update to the legal blocker:
- l2fprod-common now good
- skinlf still incompatible
...both have the same upstream and I'm positive that all issues will be fixed (i.e. upstream prefers ASL 2.0 but didn't apply the changes to this new license everywhere yet) - but upstream isn't very responsive and seems not to have enough time to quickly fix this.
Comment 20 Jason Tibbitts 2009-07-10 18:05:26 EDT
Please clear the whiteboard if this becomes ready for review in the future.
Comment 21 Mamoru TASAKA 2009-08-27 03:07:16 EDT
Would you update the status of this bug?
Comment 22 Sandro Mathys 2009-09-14 03:12:33 EDT
Unfortunately, there is no update - i.e. upstream stopped to response. Didn't try to get in contact with upstream in quite a while though and will do so a last time right now.
Comment 23 Sandro Mathys 2009-10-01 05:51:08 EDT
Spec URL: http://red.fedorapeople.org/SRPMS/tvbrowser.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/tvbrowser-2.7.4-1.fc11.src.rpm

New version - no other changes were needed to get this working.

As for the legal blocker:
- upstream changed skinlf to be ASL 2.0 _only_ in CVS
- mycae updates the skinlf pkg in Fedora to the latest CVS revision
- new skinlf pkg in rawhide and updates-testing, not yet in updates
- I will wait with pushing tvbrowser to updates until the new skinlf pkg has landed there
- I Require the latest skinlf pkg version for tvbrowser
Comment 24 Tom "spot" Callaway 2009-10-01 10:23:46 EDT
Lifting FE-Legal, as this is resolved in rawhide (at least).
Comment 25 Mamoru TASAKA 2009-10-01 15:24:45 EDT
Well I checked the latest rawhide skinlf source and
skinlf CVS repository, however the following files are still
under ASL 1.1 (total: 10 files)

-----------------------------------------------------------------------
src/main/com/l2fprod/gui/plaf/skin/SkinLookAndFeel.java
src/main/com/l2fprod/gui/plaf/skin/Window.java
src/main/com/l2fprod/gui/plaf/skin/impl/AbstractSkinProgress.java
src/main/com/l2fprod/gui/plaf/skin/impl/gtk/parser/*.java
-----------------------------------------------------------------------
Comment 26 Sandro Mathys 2009-10-03 05:05:50 EDT
Thanks for the pointer, Mamoru.

I notified skinlf's upstream and skinlf's pkg maintainer about this issue and will keep in touch with both to resolve this. As soon as everything's ASL 2.0, I'll update the status here.
Comment 27 Sandro Mathys 2009-12-05 09:38:09 EST
ASL 2.0 only version of skinlf is about to hit Fedora (see bug 524784). With this step we should be ready to bring tvbrowser into Fedora...and it only took us a little over one year! ;)

Who's up for the formal review? :)
Comment 28 Mamoru TASAKA 2009-12-05 10:08:06 EST
While I don't know I can review tvbrowser soon (as I have some other
review requests assigned to myself),
- first of all I want to recheck skinlf src/binary
- and would you recheck your tvbrowser srpm and upload the new one
  if there is something you want to modify?
Comment 29 Sandro Mathys 2009-12-09 10:39:55 EST
Spec URL: http://red.fedorapeople.org/SRPMS/tvbrowser.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/tvbrowser-2.7.4-2.fc12.src.rpm

Only some little changes have been made to improve the spec. Also a patch was extended because of the change to jakarta-commons-compress 1.0 (the patch went into that direction before with another j-c-c version change).
Comment 30 Mamoru TASAKA 2009-12-11 14:34:36 EST
Umm....

Again sorry to raise license question, however:
This time from mock build (koji scratch build result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1870124 )
I tried to check the licenses of rpms listed as BuildRequires
and its dependencies, then:

-----------------------------------------------------------------
bsf-2.4.0-3.fc12	ASL 1.1
jakarta-oro-2.0.8-6.3.fc12	ASL 1.1
xalan-j2-2.7.0-9.5.fc12	ASL 1.1 and ASL 2.0 and W3C
xml-commons-resolver-1.1-4.16.fc12	ASL 1.1
-----------------------------------------------------------------

Would you explain how these are used?
(Especially bsf, jakarta-oro are listed directly as BuildRequires
 and lib/*.jar contains jars included in these rpms so I guess
 these 2 rpms are actually used for tvbrowser)
Comment 31 Mamoru TASAKA 2009-12-11 14:36:03 EST
(I guess this is all we have to check for license issue)
Comment 32 Rafael Aquini 2010-07-30 23:18:50 EDT
PING

It's been almost eight months with no progress; This bug should be closed soon if
there is no response, shouldn't it?
Comment 33 Rafael Aquini 2010-08-07 11:03:10 EDT
Due to the lack of response this review is now considered as stalled.
I'm closing this bug just as described in Fedora's Policy for stalled package
reviews

http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
Comment 34 Thomas Spura 2011-12-04 07:19:23 EST

*** This bug has been marked as a duplicate of bug 754246 ***

Note You need to log in before you can comment on or make changes to this bug.